import { CSSProperties, ImgHTMLAttributes } from "react";
export declare enum AssetType {
    IMAGE = 0,
    LOGO = 1,
    URL = 2
}
declare type Props = {
    source: string;
    assetType: AssetType;
    otherProps?: ImgHTMLAttributes<any>;
    style?: CSSProperties;
};
declare const MyImage: ({ source, style, assetType, ...otherProps }: Props) => JSX.Element;
export default MyImage;
