import { CSSProperties } from "react";
import { ThemeProviderProps } from "styled-components";
declare type Props = {
    googleUrl: string;
};
export declare const MainTheme: CSSProperties & Props;
export declare enum __COLORS {
    CTA = "#e94560",
    TEXT = "#16213e",
    PRIMARY = "#0f3460",
    BLACK = "#000",
    WHITE = "#fff"
}
export declare const GUTTER = 15;
export declare const SPACING = 8;
export declare enum __GRAY_SCALE {
    _WHITE = "#fff",
    _100 = "#f6f9fc",
    _200 = "#e9ecef",
    _300 = "#dee2e6",
    _400 = "#ced4da",
    _500 = "#adb5bd",
    _600 = "#8898aa",
    _700 = "#525f7f",
    _800 = "#32325d",
    _900 = "#212529",
    _BLACK = "#000"
}
export declare enum __ALERTS {
    INFO = "#11cdef",
    SUCCESS = "#2ece89",
    WARNING = "#fb6240",
    ERROR = "#f5365c"
}
export declare const GlobalStyle: import("styled-components").GlobalStyleComponent<{
    theme: ThemeProviderProps<any>;
}, import("styled-components").DefaultTheme>;
export {};
